WinStd Additional templates and function helpers for Microsoft Windows using Standard C++ classes

Public Member Functions | List of all members
winstd::eap_method_prop Class Reference
Extensible Authentication Protocol API

EAP_METHOD_PROPERTY wrapper class. More...

`#include <EAP.h>`

Inheritance diagram for winstd::eap_method_prop:

## Public Member Functions
| eap_method_prop (_In_ EAP_METHOD_PROPERTY_TYPE type, _In_ BOOL value) noexcept
| Constructs a BOOL method property. More...
| eap_method_prop (_In_ EAP_METHOD_PROPERTY_TYPE type, _In_ DWORD value) noexcept
| Constructs a DWORD method property. More...
| eap_method_prop (_In_ EAP_METHOD_PROPERTY_TYPE type, _In_z_ LPCWSTR value) noexcept
| Constructs a Unicode string method property. More...

## Detailed Description

EAP_METHOD_PROPERTY wrapper class.

## Constructor & Destructor Documentation

## ◆ eap_method_prop() [1/3]

winstd::eap_method_prop::eap_method_prop | ( | _In_ EAP_METHOD_PROPERTY_TYPE | type,
|  | _In_ BOOL | value
| ) |  |
| inline noexcept

Constructs a BOOL method property.

Parameters

  [in] | type | EAP method property type
  [in] | value | Property value

## ◆ eap_method_prop() [2/3]

winstd::eap_method_prop::eap_method_prop | ( | _In_ EAP_METHOD_PROPERTY_TYPE | type,
|  | _In_ DWORD | value
| ) |  |
| inline noexcept

Constructs a DWORD method property.

Parameters

  [in] | type | EAP method property type
  [in] | value | Property value

## ◆ eap_method_prop() [3/3]

winstd::eap_method_prop::eap_method_prop | ( | _In_ EAP_METHOD_PROPERTY_TYPE | type,
|  | _In_z_ LPCWSTR | value
| ) |  |
| inline noexcept

Constructs a Unicode string method property.

Parameters

  [in] | type | EAP method property type
  [in] | value | Property value

The documentation for this class was generated from the following file:

- include/WinStd/EAP.h